### Class

# Adw ViewStackPage

#### Description [src]

    final class Adw.ViewStackPage : GObject.Object {
      /* No available fields */
    }

An auxiliary class used by `AdwViewStack`.

Available since: | 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_view_stack_page_get_badge_number

Gets the badge number for this page.

Available since: 1.0

###### adw_view_stack_page_get_child

Gets the stack child to which `self` belongs.

Available since: 1.0

###### adw_view_stack_page_get_icon_name

Gets the icon name of the page.

Available since: 1.0

###### adw_view_stack_page_get_name

Gets the name of the page.

Available since: 1.0

###### adw_view_stack_page_get_needs_attention

Gets whether the page is marked as “needs attention”.

Available since: 1.0

###### adw_view_stack_page_get_title

Gets the page title.

Available since: 1.0

###### adw_view_stack_page_get_use_underline

Gets whether underlines in the page title indicate mnemonics.

Available since: 1.0

###### adw_view_stack_page_get_visible

Gets whether `self` is visible in its `AdwViewStack`.

Available since: 1.0

###### adw_view_stack_page_set_badge_number

Sets the badge number for this page.

Available since: 1.0

###### adw_view_stack_page_set_icon_name

Sets the icon name of the page.

Available since: 1.0

###### adw_view_stack_page_set_name

Sets the name of the page.

Available since: 1.0

###### adw_view_stack_page_set_needs_attention

Sets whether the page is marked as “needs attention”.

Available since: 1.0

###### adw_view_stack_page_set_title

Sets the page title.

Available since: 1.0

###### adw_view_stack_page_set_use_underline

Sets whether underlines in the page title indicate mnemonics.

Available since: 1.0

###### adw_view_stack_page_set_visible

Sets whether `page` is visible in its `AdwViewStack`.

Available since: 1.0

##### Methods inherited from GObject (43)

#### Properties

###### Adw.ViewStackPage:badge-number

A number associated with the page.

Available since: 1.0

###### Adw.ViewStackPage:child

The child of the page.

Available since: 1.0

###### Adw.ViewStackPage:icon-name

The icon name of the child page.

Available since: 1.0

###### Adw.ViewStackPage:name

The name of the child page.

Available since: 1.0

###### Adw.ViewStackPage:needs-attention

Whether the page requires the user attention.

Available since: 1.0

###### Adw.ViewStackPage:title

The title of the child page.

Available since: 1.0

###### Adw.ViewStackPage:use-underline

Whether an embedded underline in the title indicates a mnemonic.

Available since: 1.0

###### Adw.ViewStackPage:visible

Whether this page is visible.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwViewStackPageClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.